Bug 1024134 - Review Request: gust-antykwa-torunska-fonts - Two-element typeface for typesetting of small prints
Review Request: gust-antykwa-torunska-fonts - Two-element typeface for typese...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 19:43 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2014-02-18 10:33 EST (History)
3 users (show)

See Also:
Fixed In Version: gust-antykwa-torunska-fonts-2.08-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 03:36:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)
fontconfig file (1.99 KB, patch)
2013-12-17 02:56 EST, Parag AN(पराग)
no flags Details | Diff
document using the font (34.20 KB, application/vnd.oasis.opendocument.text)
2013-12-17 15:04 EST, Zbigniew Jędrzejewski-Szmek
no flags Details

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-28 19:43:54 EDT
Spec URL: http://in.waw.pl/~zbyszek/fedora/gust-antykwa-torunska.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/gust-antykwa-torunska-fonts-2.08-1.fc20.src.rpm
Description:
Antykwa Toruńska (meaning just "Antiqua of Torun") is a two-element
typeface designed by Zygfryd Gardzielewski (1914–2001).

The font is mainly used for typesetting of small prints. Its
characteristic features are the widening of vertical stems at the top
and the wave-like form of some of the horizontal and diagonal lines as
well as of the serifs. Antykwa Toruńska was first cast in metal in
1960 in the Grafmasz typefoundry in Warsaw. It was produced in the
ordinary, semibold and slanted faces in sizes from 6 to 48 dd.

It has been digitized by Janusz Marian Nowacki, starting in early
1995. The first, very poor version was based on a font catalogue. It
was a very imperfect source. The next version was based on photocopies
of the original design drawings made available by Zygfryd
Gardzielewski. Version 1.0, which deserves to be called computerised
in that it was precise and reused character building elements across
the font, was released in 1998 and comprised (similarly as the
original) of three faces: upright, bold and italic.

The current version contains a greatly extended character set (e.g.,
cyrillic, greek, most often used mathematical symbols and currency
symbols, additional ligatures), as well as additional typefaces
(light, regular, medium and bold in normal and condensed widths).

Fedora Account System Username: zbyszek

https://fedoraproject.org/wiki/GUST_Antykwa_Toru%C5%84ska_fonts
Comment 1 Parag AN(पराग) 2013-10-29 01:47:38 EDT
Suggestions:

1) good if unnecessary information is removed from font wiki page

2) generally we create wiki pages with all the words in small letter

3) why this package name starts with gust? You want to use it as foundry? If yes good to add some reference like how gust is related to this font. When I search on google, I found its related in this link http://www.gust.org.pl/projects/e-foundry

4) Upstream URL should be http://jmn.pl/en/antykwa-torunska/

5) good if all %global are written at top of spec

6) I don't think you need to %global shortname to be added as its only used once and not changing value so better remove it.

7) %description text looks very big. Can it be reduced?

8)You need to specify some priority to this config file. You can see the reference for this in /etc/fonts/conf.d/README. you can choose any number from 60 to 69
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-29 09:05:46 EDT
(In reply to Parag AN(पराग) from comment #1)
> Suggestions:
> 
> 1) good if unnecessary information is removed from font wiki page
> 
> 2) generally we create wiki pages with all the words in small letter
1-2: I didn't write the wiki page :) I already removed some stuff from there,
what exactly do you have in mind?

> 3) why this package name starts with gust? You want to use it as foundry? If
> yes good to add some reference like how gust is related to this font. When I
> search on google, I found its related in this link
> http://www.gust.org.pl/projects/e-foundry
Yes, they (GUST="tex users group") have a bunch of fonts, so I intend to add at least "gust-antykwa-pultawskiego-fonts" later on.

> 4) Upstream URL should be http://jmn.pl/en/antykwa-torunska/
Fixed.
 
> 5) good if all %global are written at top of spec
I moved one. %versiontag I kept, it is better to keep it next to %{version}, which it uses.
 
> 6) I don't think you need to %global shortname to be added as its only used
> once and not changing value so better remove it.
This specfile should be reusable without almost any changes for some of the other fonts from gust, so this %global is in preparation for that.

> 7) %description text looks very big. Can it be reduced?
Definitely. Fixed.

> 8)You need to specify some priority to this config file. You can see the
> reference for this in /etc/fonts/conf.d/README. you can choose any number
> from 60 to 69
I used 69.

Thank you for the comments.

Spec URL: http://in.waw.pl/~zbyszek/fedora/gust-antykwa-torunska.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/gust-antykwa-torunska-fonts-2.08-2.fc20.src.rpm
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-12-16 11:42:36 EST
?
Comment 4 Parag AN(पराग) 2013-12-16 12:23:32 EST
so sorry for not getting back. Got busy in some other work. will look into new srpm
Comment 5 Parag AN(पराग) 2013-12-16 12:30:56 EST
the new srpm is not downloading. Please submit updated srpm again
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-12-16 13:32:44 EST
Sorry, this version had typos and was missing a %global. Also, the spec file should be called with -fonts (the same as the only binary package that is produces). Hopefully all fixed now.

Spec URL: http://in.waw.pl/~zbyszek/fedora/gust-antykwa-torunska-fonts.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/gust-antykwa-torunska-fonts-2.08-3.fc20.src.rpm
Comment 8 Parag AN(पराग) 2013-12-17 01:35:48 EST
Looking at http://fedoraproject.org/wiki/Fontconfig_packaging_tips page, we need a generic names and Registering a font in default families rules in fontconfig file.

another thing remove line 33 in spec that contains 
#'
Comment 9 Parag AN(पराग) 2013-12-17 02:56:10 EST
Created attachment 837578 [details]
fontconfig file

fontconfig file covering rules for each family for the packaged font
Comment 10 Zbigniew Jędrzejewski-Szmek 2013-12-17 15:04:53 EST
Created attachment 837936 [details]
document using the font

Thank you for the patch.

Spec URL: http://in.waw.pl/~zbyszek/fedora/gust-antykwa-torunska-fonts.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/gust-antykwa-torunska-fonts-2.08-4.fc20.src.rpm

I'm also attaching a simple lo document that I used for tests. The font appears to work correctly now.
Comment 11 Parag AN(पराग) 2013-12-18 08:25:19 EST
Thanks for attaching the document.

Package is good to go in Fedora.

APPROVED.
Comment 12 Zbigniew Jędrzejewski-Szmek 2013-12-18 09:42:35 EST
New Package SCM Request
=======================
Package Name: gust-antykwa-torunska-fonts
Short Description: Two-element typeface for typesetting of small prints
Owners: zbyszek
Branches: f18 f19 f20
InitialCC:
Comment 13 Gwyn Ciesla 2013-12-18 11:49:43 EST
Git done (by process-git-requests).

No longer creating f18 branches.
Comment 14 Fedora Update System 2013-12-18 15:24:35 EST
gust-antykwa-torunska-fonts-2.08-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gust-antykwa-torunska-fonts-2.08-4.fc20
Comment 15 Fedora Update System 2013-12-18 15:25:31 EST
gust-antykwa-torunska-fonts-2.08-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gust-antykwa-torunska-fonts-2.08-4.fc19
Comment 16 Fedora Update System 2013-12-19 20:42:38 EST
gust-antykwa-torunska-fonts-2.08-4.fc19 has been pushed to the Fedora 19 testing repository.
Comment 17 Fedora Update System 2014-01-03 03:36:42 EST
gust-antykwa-torunska-fonts-2.08-4.fc20 has been pushed to the Fedora 20 stable repository.
Comment 18 Paul Flo Williams 2014-02-18 10:27:09 EST
Package Change Request
======================
Package Name: gust-antykwa-torunska-fonts
Branches: f19 f20 devel
InitialCC: fonts-sig

I'd like the Fonts SIG to be notified of changes to this package in all active branches.
Comment 19 Gwyn Ciesla 2014-02-18 10:32:36 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.